List official workflow templates
curl --request GET \
--url https://api.browseract.com/v2/workflow/list-official-workflow-templates \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.browseract.com/v2/workflow/list-official-workflow-templates"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.browseract.com/v2/workflow/list-official-workflow-templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"page": 123,
"limit": 123,
"items": [
{
"templateId": "<string>",
"name": "<string>",
"recommendDesc": "<string>",
"detailUrl": "<string>"
}
],
"total_pages": 123,
"total_count": 123
}{
"code": 123,
"msg": "Invalid task_id",
"data": {},
"ts": 1699335116000,
"time": "2023-11-07T05:31:56Z",
"traceId": "b4bb01c1b2b14f11a6a2d7c1c8b0e3a1"
}{
"code": 123,
"msg": "Invalid task_id",
"data": {},
"ts": 1699335116000,
"time": "2023-11-07T05:31:56Z",
"traceId": "b4bb01c1b2b14f11a6a2d7c1c8b0e3a1"
}Workflow Templates
List official workflow templates
Returns BrowserAct’s official workflow templates.
Use keyword to search by name/description.
GET
/
v2
/
workflow
/
list-official-workflow-templates
List official workflow templates
Authorizations
Send your API key in the Authorization header as Bearer <API_KEY>.
Query Parameters
Search keyword (optional).
Page number to retrieve (starts at 1).
Required range:
x >= 1Number of templates per page (max 500).
Required range:
1 <= x <= 500Response
OK
Paginated response containing workflow templates and metadata.
Was this page helpful?

